//统一管理版本库
ext {
    android = [namespace                : 'com.sxyz.rfid',
               compileSdk               : 32,
               minSdk                   : 27,
               targetSdk                : 32,
               versionCode              : 17,
               versionName              : "1.0.0",
               testInstrumentationRunner: "androidx.test.runner.AndroidJUnitRunner"]

    dependencies = [appcompat                            : "androidx.appcompat:appcompat:1.4.1",
                    material                             : "com.google.android.material:material:1.5.0",
                    constraintlayout                     : "androidx.constraintlayout:constraintlayout:2.1.3",
                    navigation_fragment                  : "androidx.navigation:navigation-fragment:2.4.1",
                    navigation_ui                        : "androidx.navigation:navigation-ui:2.4.1",
                    junit                                : "junit:junit:4.13.2",
                    ext_junit                            : "androidx.test.ext:junit:1.1.3",
                    espresso_core                        : "androidx.test.espresso:espresso-core:3.4.0",
                    cardview                             : "androidx.cardview:cardview:1.0.0",
                    multidex                             : "androidx.multidex:multidex:2.0.1",
                    recyclerview                         : "androidx.recyclerview:recyclerview:1.1.0",
                    swiperefreshlayout                   : "androidx.swiperefreshlayout:swiperefreshlayout:1.0.0",
                    baseRecyclerViewAdapterHelpers       : "io.github.cymchad:BaseRecyclerViewAdapterHelper:3.0.14",
//                    glideImageView                       : "com.sunfusheng:GlideImageView:+",
                    gson                                 : "com.google.code.gson:gson:2.8.1",
                    retrofit2                            : "com.squareup.retrofit2:retrofit:2.6.0",
                    retrofit2_gson                       : "com.squareup.retrofit2:converter-gson:2.6.0",
                    retrofit2_adapter_rxjava2            : "com.squareup.retrofit2:adapter-rxjava2:2.5.0",
                    jakewharton_retrofit2_adapter_rxjava2: "com.jakewharton.retrofit:retrofit2-rxjava2-adapter:1.0.0",
                    //ConverterFactory的String依赖包
                    retrofit2_converter_scalars          : "com.squareup.retrofit2:converter-scalars:2.4.0",
                    rxjava2_rxandroid                    : "io.reactivex.rxjava2:rxandroid:2.1.1",
                    rxjava2_rxjava                       : "io.reactivex.rxjava2:rxjava:2.2.5",
                    //okhttp提供的请求日志拦截器
                    autodispose                          : "com.uber.autodispose:autodispose:0.8.0",
                    archcomponents                       : "com.uber.autodispose:autodispose-android-archcomponents:0.8.0",

                    okhttp3_okhttp                       : "com.squareup.okhttp3:okhttp:4.9.1",
                    okhttp3_okhttp_see                   : "com.squareup.okhttp3:okhttp-sse:4.11.0",

                    okio_okio                            : "com.squareup.okio:okio:1.15.0",
                    okhttp3_logging_interceptor          : "com.squareup.okhttp3:logging-interceptor:3.10.0",
                    xxpermissions                        : "com.hjq:xxpermissions:6.2",
                    immersionbar                         : "com.geyifeng.immersionbar:immersionbar:3.2.2",
                    hawk                                 : "com.orhanobut:hawk:2.0.1",
                    //------------- Android消息传递之EventBus 3.0 -------------
                    eventbus                             : "org.greenrobot:eventbus:3.1.1",
                    utilcodex                            : "com.blankj:utilcodex:1.31.1",
                    tab_material                         : "com.google.android.material:material:1.1.0",
                    tab_magicIndicator                   : "com.github.hackware1993:MagicIndicator:1.5.0",
                    flycoTabLayoutLib                    : "com.flyco.tablayout:FlycoTabLayout_Lib:2.1.2@aar",

                    updateAppUtilsx                      : "com.teprinciple:updateapputilsx:2.3.0",

                    pictureSelector                      : "com.github.LuckSiege.PictureSelector:picture_library:v2.5.8",
                    greendao                             : "org.greenrobot:greendao:3.3.0",
//                    agentweb_core                        : "io.github.justson:agentweb-core:v5.1.1-androidx",
//                    //webView适配拍照、选择照片
//                    agentweb_filechooser                 : "io.github.justson:agentweb-filechooser:v5.1.1-androidx",
                    nineoldandroids                      : "com.nineoldandroids:library:2.4.0",
                    flycoTabLayout                       : "io.github.h07000223:flycoTabLayout:3.0.0",
                    glide                                : "com.github.bumptech.glide:glide:3.7.0",
//                    updater                              : "com.king.app:app-updater:1.0.5",
                    recyclerviewSideslip                 : "com.yanzhenjie.recyclerview:x:1.3.2",//侧滑菜单


    ]
}